Bug 95378 - Navigator does not select/highlight names of images, objects, tables etc that get focus, also not with Content View activated
Summary: Navigator does not select/highlight names of images, objects, tables etc that...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.1.0 target:7.3.0
Keywords:
: 134419 (view as bug list)
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2015-10-28 03:18 UTC by mega
Modified: 2021-10-11 06:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer Navigator table, frame, OLE, image and draw objects tracking demo (2.50 MB, video/x-matroska)
2020-08-23 21:19 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mega 2015-10-28 03:18:44 UTC
I think it will help for user if there is Object Manager in Libreoffice Draw like in Corel Draw. Because, user will meet difficulty when choose any object.
Comment 1 Cor Nouws 2015-10-28 08:03:26 UTC
Hi megasaputra,

Thanks for the report. But did you try the Navigator? F5
Every (named) object can be found there...

Cheers - Cor
Comment 2 mega 2015-10-28 23:24:37 UTC
Hi Cheers,

The Navigator in Libreoffice Draw is not like in CorelDraw. In Corel, if I select the object, then the object name in object manager is selected too. And the other way, if I select the object name in object manager, then the object will be selected too. I hope, a new LibreOffice Draw will create Navigator like object manager in Corel.
Thank you.

(In reply to Cor Nouws from comment #1)
> Hi megasaputra,
> 
> Thanks for the report. But did you try the Navigator? F5
> Every (named) object can be found there...
> 
> Cheers - Cor
Comment 3 Cor Nouws 2015-11-10 12:39:38 UTC
Hi Mega,

Double clicking the name in the Navigator does select the object in the document. (in any case the objects visible in the Navigator in Draw, the ones that have a name).

What does not work: selecting the object in the document, highlights the name in the Navigator.
(It does for Headings, when Content View is activated (second icon on second row) but not for other contents.

I'll change the summary of this issue accordingly.
(was "Add object manager", is now "Navigator does not select/highlight names of images, objects, tables etc that get focus, also not with Content View activated"

OK? Cheers - Cor
Comment 4 mega 2015-11-16 00:22:22 UTC
Hi Cheers, 

Ok, I agree. I hope, LibreOffice will be better on the next.
Comment 5 Heiko Tietze 2020-07-27 13:47:49 UTC
*** Bug 134419 has been marked as a duplicate of this bug. ***
Comment 6 Jim Raykowski 2020-08-23 21:19:02 UTC
Created attachment 164611 [details]
Writer Navigator table, frame, OLE, image and draw objects tracking demo

Hi fellow LO enthusiasts,

Here is effort that provides for Tables, Frames, Images, OLE objects and Drawing objects to be tracking by the Navigator when selected in the document.

https://gerrit.libreoffice.org/c/core/+/101253

Please see attached demo. Comments and code review greatly appreciated :)
Comment 7 Heiko Tietze 2020-09-07 08:37:43 UTC
(In reply to Jim Raykowski from comment #6)
> Here is effort that provides for Tables, Frames, Images, OLE objects and
> Drawing objects to be tracking by the Navigator when selected in the
> document.

Brilliant! Guess it works the other way around as well and by double-clicking the Navigator node you jump to the respective document position.

What bothers me is the separation of content, for example the frame goes somewhere and the contained image somewhere else. Wouldn't it be more expectably to keep the natural order with 

First Chapter
 Chapter 1.1
  <Paragraph 1>
  Frame 1
   Image 1
  <Paragraph 2>
  Table 1
...

Probably not when you look for ImageXY. But I could imagine a choice here... (completely off-topic on this ticket).
Comment 8 Jim Raykowski 2020-09-23 00:28:20 UTC
In comment made at gerrit patch, Heiko has pointed out a nimbus situation where selection of a frame object in the document results in highlighting of the frame entry in Navigator but double clicking on the frame entry in Navigator moves focus into the frame object in the document and therefore results in frame no longer highlighted in the Navigator. 

The Navigator frames context menu item 'Go to' moves focus to the document frame.   When frame has focus, pressing the enter key moves focus to inside the frame. 

It seems making double click select the frame is the easy solution to the nimbus.
Comment 9 Telesto 2020-09-23 09:14:28 UTC
@Jim,
Thanks for working on this bug :-). I'm already exited!
Comment 10 Commit Notification 2020-09-30 20:25:16 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dda71436b8594fb0669b3ac06c02a3997a0674be

tdf#95378 Writer Navigator document content tracking

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Heiko Tietze 2020-10-01 08:38:46 UTC
Resolve as fixed, Jim?
Comment 12 Jim Raykowski 2020-10-02 06:16:17 UTC
(In reply to Heiko Tietze from comment #11)
> Resolve as fixed, Jim?

Bookmarks, Sections, Hyperlinks, References, Indexes and Comments still aren't tracked. Maybe what is done is enough to resolve as fixed?
Comment 13 Heiko Tietze 2020-10-02 10:44:33 UTC
(In reply to Jim Raykowski from comment #12)
> Bookmarks, Sections, Hyperlinks, References, Indexes and Comments...

Not vital to track everything in extra tickets, IMHO. But may I assign it to you? (In other words: please revert if you don't plan to continue on this)
Comment 14 Xisco Faulí 2021-02-09 14:05:24 UTC
Dear Jim Raykowski,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assign it back to yourself if you're still working on this.
Comment 15 Commit Notification 2021-09-17 01:45:12 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f11ed86c0ce8b41482ad217bb6700832ef746870

tdf#95378 Writer Navigator: Track sections

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2021-09-22 00:55:39 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d62f03d316fb4c60087fc2af626bbd0b35b98693

tdf#95378 Writer Navigator: Track hyperlinks

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2021-09-22 21:26:17 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8644a3114d412e8de6cc6712c2f2bcad436906c9

tdf#95378 Writer Navigator: Track references

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2021-09-23 06:36:39 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e43eeac1a99ea0d70192dfd7cecf3e8f52f3e53c

tdf#95378 Writer Navigator: Track indexes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2021-09-30 03:07:11 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cdc1f41d4530ad3ec553d90dad803bc5b940656c

tdf#95378 Writer Navigator: Track bookmarks

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Jim Raykowski 2021-09-30 03:23:16 UTC
I believe all content types shown in the Navigator are now tracked.
Comment 21 Telesto 2021-10-10 08:37:36 UTC
(In reply to Jim Raykowski from comment #20)
> I believe all content types shown in the Navigator are now tracked.

Nice!

I would be lovely to have this in Draw/Impress too :-). Me preferring 'finishing' this topic ones and (hopefully) for good; consistency and coherence across the board (all modules)

It's sometimes pretty frustrating that that code must be adapted for each object, and each module. :-(  This likely not limited at the bugreporter side but for developers too.

Reporting bugs sometimes feels like complaining: being disrespectful/ not appreciating the effort done, by focusing/nagging on the wrong/incompleteness (instead of the improvement).
Comment 22 Heiko Tietze 2021-10-11 06:53:23 UTC
(In reply to Telesto from comment #21)
> Reporting bugs sometimes feels like complaining: being disrespectful/ not
> appreciating the effort done, by focusing/nagging on the
> wrong/incompleteness (instead of the improvement).

Add this disclaimer to every report to remind us on the importance of your contribution.